{{getMsg('Help_YouAreHere')}}:
/
{{page.title}}
{{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}}
{{helpModel.downloadHelpPdfDataStatus}}
Group members
/api/usersandgroups/groups/{groupId}/members/{userId}/membershipTypes
Exposes one direct user-to-group membership as independently writable resource.
GET /api/usersandgroups/groups/{groupId}/members/{userId}/membershipTypes
Membership type keys assigned to member.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
groupId |
path | string |
yes | — |
userId |
path | string |
yes | member identifier from route |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
200 |
application/json |
array<string> |
Successful response. |
Example Request
# Request
GET /api/usersandgroups/groups/<groupId>/members/<userId>/membershipTypes HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
# Response
HTTP/1.1 200 OK
Content-Type: application/json
[
"string"
]
PUT /api/usersandgroups/groups/{groupId}/members/{userId}/membershipTypes
Replaces assigned membership type keys.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
groupId |
path | string |
yes | — |
userId |
path | string |
yes | member identifier from route |
Request Body
| Content Type | Schema | Required | Description |
|---|---|---|---|
application/json |
array<string> |
yes | requested membership type keys |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
200 |
application/json |
array<string> |
Successful response. |
Example Request
# Request
PUT /api/usersandgroups/groups/<groupId>/members/<userId>/membershipTypes HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
Content-Type: application/json
[
"string"
]
# Response
HTTP/1.1 200 OK
Content-Type: application/json
[
"string"
]
Common Error Responses
The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:
{
"status": 404,
"code": "route_not_found",
"message": "The requested API route does not exist.",
"details": []
}
Schemas
Request and response schemas used on this page.
ApiError
| Property | Type | Required | Description |
|---|---|---|---|
status |
integer (int32) |
yes | — |
code |
string |
yes | — |
message |
string |
yes | — |
details |
array<object> |
no | — |